Enable DDoS protection for a virtual server

Enable DDoS scrubbing (attack protection) for a specific virtual server (VPS). This is useful when your server is experiencing a DDoS attack and you need immediate protection. Protection can be enabled for a specified period.

VPS & Cloud VM

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
duration integer required · Example: 3600

Responses

200
data object required
data.active boolean required · Example: true
data.duration integer required · Example: 3600
data.expires_at string required · Example: 2026-02-10 00:00:00
data.ip string · Example: 192.0.0.1
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/vm/{vmid}/ddos-scrubbing
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/vm/10000/ddos-scrubbing" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "duration": 3600
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "ip": "192.0.0.1",
    "active": true,
    "duration": 3600,
    "expires_at": "2026-02-10 00:00:00"
  }
}
Request Body Example 1
{
  "duration": 3600
}